Package org.zkoss.stateless.sul

## Class ICombobox.Builder

- java.lang.Object
- - org.zkoss.stateless.sul.ImmutableICombobox.Builder
  - - org.zkoss.stateless.sul.ICombobox.Builder

- Enclosing interface:
    ICombobox

      public static class ICombobox.Builder
      extends org.zkoss.stateless.sul.ImmutableICombobox.Builder

  Builds instances of type `ICombobox`. Initialize attributes and then invoke the `ImmutableICombobox.Builder.build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    - ### Methods inherited from class org.zkoss.stateless.sul.ImmutableICombobox.Builder

      `addActions, addActions, addAllActions, addAllChildren, addChildren, addChildren, build, from, putAllClientAttributes, putAllInputAttributes, putAllWidgetListeners, putAllWidgetOverrides, putClientAttributes, putClientAttributes, putInputAttributes, putInputAttributes, putWidgetListeners, putWidgetListeners, putWidgetOverrides, putWidgetOverrides, setAction, setActions, setAutocomplete, setAutodrop, setButtonVisible, setChildren, setClientAction, setClientAttributes, setCols, setConstraint, setContext, setCtrlKeys, setDisabled, setDraggable, setDroppable, setEmptySearchMessage, setErrorboxIconSclass, setErrorboxSclass, setErrorMessage, setEventListenerMap, setFocus, setHeight, setHflex, setIconSclass, setId, setInplace, setInputAttributes, setInstant, setInstantSelect, setLeft, setMaxlength, setMold, setMultiline, setName, setOpen, setPlaceholder, setPopup, setPopupWidth, setReadonly, setRenderdefer, setRows, setSclass, setSelectedIndex, setStyle, setSubmitByEnter, setTabbable, setTabindex, setTooltip, setTooltiptext, setTop, setType, setValue, setVflex, setVisible, setWidgetClass, setWidgetListeners, setWidgetOverrides, setWidth, setZclass, setZIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()